<?php

/**
 * Jatra About Page
 * @package Jatra
 *
*/

if( !class_exists('Jatra_About_page') ):

	class Jatra_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'jatra_backend_menu'),999);

		}

		// Add Backend Menu
        function jatra_backend_menu(){

            add_theme_page(esc_html__( 'Jatra Options','jatra' ), esc_html__( 'Jatra Options','jatra' ), 'activate_plugins', 'jatra-about', array($this, 'jatra_main_page'));

        }

        // Settings Form
        function jatra_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Jatra_About_page();

endif;