<?php
/**
 *
 * Front Page
 *
 * @package Jatra
 */

get_header();


    $jatra_default = jatra_get_default_theme_options();
    $jatra_default = jatra_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $jatra_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $jatra_post_sidebar = esc_attr( get_post_meta( $post->ID, 'jatra_post_sidebar_option', true ) );
        if( $jatra_post_sidebar == 'global-sidebar' || empty( $jatra_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $jatra_post_sidebar;
        }

    }
    $twp_jatra_home_sections_1 = get_theme_mod( 'twp_jatra_home_sections_1', json_encode( $jatra_default['twp_jatra_home_sections_1'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_jatra_home_sections_1 = json_decode( $twp_jatra_home_sections_1 );

    if( $twp_jatra_home_sections_1 ){ ?>

        <?php
        foreach ( $twp_jatra_home_sections_1 as $jatra_home_section ) {

            $home_section_type = isset( $jatra_home_section->home_section_type ) ? $jatra_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'banner-video-block':

                    $ed_slider_blocks = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        jatra_banner_video_block( $jatra_home_section , $repeat_times);
                    }

                break;

                case 'main-banner':

                    $ed_slider_blocks = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        jatra_main_banner( $jatra_home_section , $repeat_times);
                    }

                break;

                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        jatra_latest_blocks( $jatra_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        jatra_tiles_block_section( $jatra_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        jatra_banner_block_1_section( $jatra_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        jatra_advertise_block( $jatra_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        jatra_case_home_widget_area_block( $jatra_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $jatra_home_section->section_ed ) ? $jatra_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        jatra_you_may_like_block_section( $jatra_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
